import Enums from '../util/Enums'
import {
  _request,
  _queryPage
} from './BaseApi'
// 获取用户地址列表：http://tprint.refinecolor.com/zijie/index/getAddressList
// 获取单个地址：http://tprint.refinecolor.com/zijie/index/getAddress
// 添加用户地址：http://tprint.refinecolor.com/zijie/index/addAddress
// 更新用户地址：http://tprint.refinecolor.com/zijie/index/updateAddress
// 删除用户地址：http://tprint.refinecolor.com/zijie/index/deleteAddress
/**
 * 查询收货地址列表
 * @param {*} params
 */
export const _queryAddressList = (params = {}) => _request({url: '/douyin/User/getAddressList', params, token: true, method: 'get'})

/**
 * 添加收货地址
 * @param {*} params
 */
export const _saveAddress = (params = {}) => _request({url: '/douyin/User/addAddress', params, token: true, method: 'post'})

/**
 * 查询收货地址详情
 * @param {*} id
 */
export const _queryAddress = (params = {}) => _request({url: '/douyin/User/getAddress', params, token: true, method: 'get'})

/**
 * 删除收货地址
 * @param {*} id
 */
export const _deleteAddress = (params = {}) => _request({url: '/douyin/User/deleteAddress', params, token: true, method: 'post'})

/**
 * 修改收货地址
 * @param {*} id
 */
export const _updateAddress = (params = {}) => _request({url: '/douyin/User/updateAddress', params, token: true, method: 'post'})