import {
	_queryAddressList,
	_queryAddress,
	_deleteAddress,
	_updateAddress,
	_saveAddress
} from '../api/AddressApi'
import {
	_queryPage,
	_queryList,
	_query,
	_save,
	_delete,
	_update,
	_getters,
	_dispatch
} from './BaseService'

const service = {
	/**
	 * queryAddressList			查询商品内容
	 */
	queryAddressList: (address = {}) => _queryList({
		api: _queryAddressList,
		params: address,
		callBack: (data = {}) => {}
	}),
	queryAddress: (address = {}) => _query({
		api: _queryAddress,
		params: address,
		callBack: (data = {}) => {}
	}),
	deleteAddress: (address = {}) => _delete({
		api: _deleteAddress,
		params: address,
		callBack: (data = {}) => {}
	}),
	updaetAddress: (address = {}) => _update({
		api: _updateAddress,
		params: address,
		callBack: (data = {}) => {}
	}),
	savAddress: (address = {}) => _save({
		api: _saveAddress,
		params: address,
		callBack: (data = {}) => {}
	}),
	buildAddress: (params = {}) => {
		return {
			receivor: params.receivor, // 收货人名称
			phone: params.phone, // 手机号
			province: params.province, // 省份/直辖市
			city: params.city, // 城市
			county: params.county, // 区
			detail: params.detail,// 详细地址(街道)
			is_default: params.is_default, // 是否为默认
		}
	}
}
export default service