import {
	route,
	T_route,
	route_timeout,
	usertshirtsapplets,
	userapalets_Index,
	route_CreateOrder
} from '../api/homeApi.js'
import {
	_query,
	_queryPage,
	_queryList,
	_getters,
	_dispatch
} from './BaseService'
const service = {
	setGoodsCateList: (goodsCateList = []) => _dispatch('setGoodsCateList', goodsCateList),			// 保存分类信息到store中
	getGoodsCateList: () => _getters('goodsCateList', []),											// 获取store中的分类信息
	setCate: (cate = {}) => _dispatch('setCate', cate),												// 作品绘制成功
	getCate: () => _getters('cate', {}),
	setSnapshot: (snapshot = {}) => _dispatch('setSnapshot', snapshot),	 //diy操作步骤图						
	getSnapshot: () => _getters('snapshot', []),
	setStock: (stock = []) => _dispatch('setStock', stock),	 //diy操作步骤图
	getStock: () => _getters('stock', []),
	// Ad.list 获取广告
	// Account.newOrder 个人最新消费记录
	// Machine.shopList  获取附件店铺
	// User.recommendUser 推荐设计师
	// Works.category 作品分类
	// Material.category 贴图分类
	queryList: (user = {}) => _queryList({api: route, params: user, callBack: (data = {}) => {
		
	}}),
	// 作品 Works.list// 我的作品 Works.mylist// 作品详情 Works.detail 作品分类 Works.category
	WorksList: (user = {}) => _queryList({api: route, params: user, callBack: (data = {}) => {
		
	}}),
	// 创建作品
	Workssave: (user = {}) => _queryList({api: route_timeout, params: user, callBack: (data = {}) => {
		
	}}),
	// 拿到的信息提交到这个接口
	DeviceAccesscreate: (user = {}) => _queryList({api: T_route, params: user, callBack: (data = {}) => {
		
	}}),
	// 获取该手机型号对应的商品信息 ​/userapplets​/index​/index#DeviceAccess.getModelGoods
	DeviceAccessgetModelGoods: (user = {}) => _queryList({api: T_route, params: user, callBack: (data = {}) => {
		
	}}),
	// 获取该手机型号对应的商品信息 
	userapaletsIndex: (user = {}) => _queryList({api: userapalets_Index, params: user, callBack: (data = {}) => {
		
	}}),
	// 刷图案游戏接口：
	// 接口1-获取图案游戏作品列表：
	// s=Works.gameWorksList
	gameWorksList: (user = {}) => _queryList({api: usertshirtsapplets, params: user, callBack: (data = {}) => {
		
	}}),
	// 接口1-单个图案游戏的数据：
	// s=Works.gameWorks
	gameWorks: (user = {}) => _queryList({api: usertshirtsapplets, params: user, callBack: (data = {}) => {
		
	}}),
	
	// 获取设备是否开启支付、是否开放材质的接口
	// /userphoneapplets/index
	// s=Machine.getBaseSetting
	// machine_id=100022
	machineGetBaseSetting: (user = {}) => _queryList({api: route, params: user, callBack: (data = {}) => {
		
	}}),
	// 获取手机壳
	// /userphoneapplets/index
	// s=Surface.getAllByCategory
	// category=0   // 0：定制壳 1：自带壳
	userphoneappletsIndex: (user = {}) => _queryList({api: route, params: user, callBack: (data = {}) => {
		
	}}),
	
	// 创建订单
	CreateOrder: (user = {}) => _queryList({api: route_CreateOrder, params: user, callBack: (data = {}) => {
		
	}}),
	
	
	// 4）获取色彩的接口
	// /userphoneapplets/index
	// s=Surface.getAllColorSeries
	
	
	// 5）根据设备编号和商品编号获取材质列表
	// /userphoneapplets/index
	// s=Surface.getColorBySeries
	// color_series_id=2
	
	
}
export default service
/**
 * url:/userphoneapplets/index
 * 
 * 获取附件店铺
 * query：{s: 'Machine.shopList',longitude: ,latitude: ,distance:}
 * 个人最新消费记录
 * query：{s: 'Account.newOrder'}
 * 获取首页广告
 * query：{s: 'Ad.list'}
 * 设备轮播图
 * query：{s: 'Ad.list',ad_position_key: 'phone_shell_index',machine_id:}
 * 获取手机壳品牌数据
 * query：{s: 'product.find',machine_id:,key:}
 * 释放锁定库存
 * query：{s: 'Order.newLockAttrStock',machine_id:,goods_id:null, dict_id:null,old_sn:null,onlyClear:1}
 * 锁定库存
 * query：{s: 'Order.newLockAttrStock',machine_id:,goods_id:,dict_id:,old_sn:}
 * 设备详情
 * query：{s: 'machine.detail'，machine_id: }
 * 保存作品
 * query：{s: 'Works.save',components: components,works_id: ,goods_id: ,template: ,template_price: ,template_user_id: ,user_id: ,platform: 3,shape_image: ,shape_id:,shape_price:,machine_id:,background_color:,}
 * 创建订单
 * query：{s: 'Order.create',type: this.key,machine_id: ,goods_id: ,works_id: ,channel_no: ,dict_id: ,goods_size: ,works_num: ,shop_id: ,sn: ,coupon_id: ,user_address: }
 * 作品详情
 * query：{s: 'Works.detail'，id: }
 * 贴图详情
 * query：{s: 'Material.detail'，id: }
 * 获取产品详情数据
 * query：{s: 'Product.detail',id: }
 * 形状图分类
 * query：{s: 'Material.getShapeCategory','machine_id': null }
 * 贴图分类
 * query：{s: 'Material.category','machine_id': null}
 * 查询货到库存
 * query：{s: 'Product.getMachineProduct',machine_id:}
 * 字体列表
 * query:{s: 'Material.fontFamilyList'}
 * 形状图列表
 * query: {s: 'Material.getShapeList',page: 1,per_page: 50,shape_category_id: null,goods_category_id:null,total: 0,machine_id: null,}
 * 贴图列表
 * query:{s: 'Material.list',page: 1,per_page: 50,is_revise: 1,is_edit: 1,total: 0,is_new: null,is_hot: null ,machine_id: null, }
 * 获取设备打印排队列表
 * query:{s:'Machine.wait',machine_id:null,}
 * 获取通知提醒配置
 * {s:'Qrcode.getSubscribeTemplate'}
 * 获取库存与优惠券信息
 * {s: 'Machine.getMachineStock',machine_id:,key: }
 * 订单页面-获取可以下单的设备列表
 * {s: 'Machine.shopList',longitude: ,latitude: ,status:[1,2],distance:,goods_id:}
 * 查询商品属性-----配送模式用
 * {s: 'machine.getProductAttribute',goods_id: options.goods_id}
 * 订单详情
 * {s: 'Order.detail',id: null}
 * 查询订单状态
 * {s:'Order.orderStatus',order_id:}
 * 查询订单排队情况
 * {s:'Order.orderRanking',order_id:,machine_id:}
*/

/**
 * url:/userapplets​/index​/index,
 * 获取该手机型号对应的商品信息
 * query：{s : 'DeviceAccess.getModelGoods',machine_id :,brand :,model:}
 * 记录用户手机配置信息
 * query：{s :'DeviceAccess.create'}
*/